<template>
  <div class="full-height">
    <div class="column full-height">
      <q-scroll-area class="col" :thumb-style="{right: '0', borderRadius: '4px', background: '#d12', opacity: .6, width: '10px'}">
        <div class="q-mt-lg">
          <report
            :id="reportId"
          />
        </div>
      </q-scroll-area>
    </div>
    <redactor
      v-for="(redactor, index) in redactors"
      :key="index"
      :redactor="redactor"
      @close="closeRedactor(index)"
    />
  </div>
</template>

<script>
  import Report from './components/report/report';
  import Redactor from '../redactor/redactor';

  export default {
    name: 'reporting',
    components: { Redactor, Report },
    computed: {
      reportId() {
        return this.$route.params.item;
      },
      redactors() {
        return this.$store.state.config.redactors;
      },
    },
    methods: {
      closeRedactor(index) {
        this.$store.commit('config/unredactRecord', index);
      },
    },
  };
</script>
